.about-info ul li::before,
.lib-about ul li::before,
.lib-service__content ul li::before {
  background-image: url(../img/iconpoint.svg);
}


.diff-work {
  background-image: url(../img/bg-factory.jpg);
}

.photo-block__title {
  margin: 0;
  font-family: "Prompt", sans-serif;
  font-style: normal;
  font-weight: 600;
  color: #fff;
  font-size: 16px;
  line-height: 120%;
  text-align: left;
  text-shadow: 0 0 8px #646262;
  text-transform: none;
}

@media (min-width:1200px) {
  .gallery__wrapper .gallery__item:nth-child(1) .photo-block__info {
    width: 45%;
  }

  .gallery__wrapper .gallery__item:nth-child(2) .photo-block__info {
    width: 45%;
  }
}

@media (min-width:768px) {
  .photo-block {
    width: 49%;
    margin-bottom: 50px
  }

  .photo-block__title {
    font-size: 18px
  }



  .photo-block--slider {
    width: 100%
  }

  .photo-block--slider .photo-block__info {
    padding: 15px 20px
  }

  .photo-block--slider .photo-block__title {
    font-size: .9rem
  }
}

@media (min-width:1200px) {
  .photo-block {
    cursor: pointer
  }

  .photo-block__info {
    width: 60%;
    padding: 20px 22px;
    left: 4%;
    bottom: -22px;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }

  .photo-block:hover .photo-block__info {
    left: 97%;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%)
  }

  .photo-block__title {
    font-size: 22px
  }

  .photo-block__image {
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }

  .photo-block:hover .photo-block__image {
    -webkit-transform: scale(1.2);
    transform: scale(1.2)
  }
}

.social__content ul li::before {
  position: absolute;
  content: "";
  background-size: cover;
  background-position: 50%;
  width: 20px;
  height: 20px;
  background-image: url(../img/icon/point.svg);
  top: 0px;
  left: -28px;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: 0;
  border: 0;
  padding: 0;
  clip: rect(0 0 0 0);
  overflow: hidden
}

.promo-block {
  padding-top: 12px;
  padding-bottom: 22px
}

.promo-block__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  padding: 0 20px
}

@media (min-width:768px) {
  .promo-block {
    padding: 44px  0 97px;
  }

  .promo-block__wrapper {
    width: 94%;
    margin: 0 auto;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    padding: 0
  }
}

@media (min-width:1200px) {
  .promo-block {
    padding-bottom: 50px
  }
}

.building {
  width: 100%;
  margin-bottom: 42px
}

.building__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column
}

.building__info-block {
  position: relative;
  padding-top: 80px
}

.building__info-block::before {
  content: "";
  position: absolute;
  width: 60px;
  height: 60px;
  background-repeat: no-repeat;
  background-size: 60px 60px;
  top: 20px;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%)
}

.building__info-block--prom::before {
  background-image: url(../img/icon/prom-icon.svg)
}

.building__info-block--energo::before {
  background-image: url(../img/icon/energo-icon.svg)
}

.building__info-block--civil::before {
  background-image: url(../img/icon/civil-icon.svg)
}

.building__title {
  font-family: "Prompt", "Arial", sans-serif;
  font-style: normal;
  font-weight: 500;
  color: #262626;
  text-transform: uppercase;
  font-size: 24px;
  line-height: 32px;
  text-align: center;
}

.building__text {
  display: none;
  text-align: center;
}

.building__image-block {
  width: 100%;
  position: relative;
  overflow: hidden
}

.building__image {
  height: 200px;
  width: 100%;
  display: block;
  filter: blur(2px);
}

@media (min-width:768px) {
  .building__image {filter: blur(0);}
  
}

.building__overlay {
  width: 100%;
  height: 100%;
  position: absolute;
  background-color: #12121266;
  top: 0;
  left: 0;
  z-index: 999;

}

.building__link {
  display: inline-block;
  position: absolute;
  padding: 13px 36px;
  left: 50%;
  top: 50%;
  -webkit-transform: translateX(-50%) translateY(-50%);
  transform: translateX(-50%) translateY(-50%);
  background-color: transparent;
  border: 1px solid #fff;
  z-index: 1000;
  font-family: "Prompt", "Arial", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 18px;
  color: #fff
}
.building__link:hover{
  color: #fff;
}

.building__title {
  margin-top: 20px;
}

@media (min-width:768px) {
  .building {
    width: 33%
  }

  .building--civil .building__wrapper,
  .building--prom .building__wrapper {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse
  }

  .building__info-block {
    width: 100%;
    min-height: 200px
  }

  .building__info-block::before {
    top: 20px;
    left: 51%;
    width: 60px;
    height: 60px;
    background-size: 60px 60px
  }

  .building__title {
    width: 80%;
    margin: 0 auto;
    font-size: 22px;
    line-height: 150%
  }

  .building__title--prom {
    margin-top: 13px;
    margin-bottom: 10px
  }

  .building__title--civil {
    margin-top: 15px;
    margin-bottom: 10px
  }

  .building__title--energo {
    margin-top: 25px;
    margin-bottom: 10px
  }
}

@media (min-width:1200px) {

  .building,
  .building:hover {
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }

  .building {
    width: 33.333%
  }

  .building:hover {
    cursor: pointer;
    background-color: rgba(21, 114, 199, .07)
  }

  .building__info-block {
    min-height: 400px;
    padding-top: 190px;
    -webkit-perspective: 300px;
    perspective: 300px
  }

  .building__info-block::before {
    top: 90px;
    width: 100px;
    height: 100px;
    background-size: 100px 100px
  }

  .building__text {
    width: 85%;
    margin: 0 auto;
    display: block;
    font-family: "Roboto", "Arial", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 21px
  }

  .building__image {
    height: 400px;
    -o-object-fit: cover;
    object-fit: cover;
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
   }

  .building:hover .building__image {
    -webkit-transform: scale(1.2);
    transform: scale(1.2)
  }

  .building__link {
    padding: 10px 34px;
    top: 100%;
    -webkit-transform: translateX(-50%) translateY(100%);
    transform: translateX(-50%) translateY(100%)
  }


  .building__link,
  .building__overlay {
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
    opacity: 0
  }

  .building:hover .building__link {
    top: 50%;
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
    cursor: pointer
  }

  .building:hover .building__link,
  .building:hover .building__overlay {
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
    opacity: 1
  }

  .building:hover .building__info-block::before {
    -webkit-filter: saturate(0);
    filter: saturate(0) brightness(0.55);
    -webkit-transform: translateX(-50%) rotateY(360deg);
    transform: translateX(-50%) rotateY(360deg);
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }
}

@media (min-width:1800px) {
  .building__text {
    width: 60%;
    margin: 0 auto;
    display: block;
    font-family: "Roboto", "Arial", sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 15px;
    line-height: 21px
  }
}

.gallery {
  width: 100%;
  padding-bottom: 26px
}

.gallery__wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0 20px
}

@media (min-width:768px) {
  .gallery {
    padding-bottom: 80px
  }

  .gallery__wrapper {
    width: 86%;
    margin: 0 auto;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 0
  }
}

.photo-block {
  width: 100%;
  position: relative;
  margin-bottom: 60px
}

.photo-block--slider {
  width: 100%
}

.photo-block__image-wrapper {
  width: 100%;
  overflow: hidden
}

.photo-block__image {
  width: 100%;
  display: block
}

.about-us__item::before,
.photo-block__info {
  position: absolute;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%)
}

.photo-block__info {
  width: 90%;
  padding: 16px 19px 16px 40px;
  bottom: -6px;
  background-color: rgba(255, 255, 255, .5);
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);
  border: 1px solid #d3d2d2
}

.photo-block__title {
  margin: 0;
  font-family: "Prompt", sans-serif;
  font-style: normal;
  font-weight: 600;
  color: #fff;
  font-size: 16px;
  line-height: 120%;
  text-align: left;
  text-shadow: 0 0 8px #646262;
  text-transform: none;
}

@media (min-width:1200px) {
  .gallery__wrapper .gallery__item:nth-child(1) .photo-block__info{
    width: 45%;
  }
  .gallery__wrapper .gallery__item:nth-child(2) .photo-block__info{
    width: 45%;
   }
}

@media (min-width:768px) {
  .photo-block {
    width: 49%;
    margin-bottom: 50px
  }

  .photo-block__title {
    font-size: 18px
  }



  .photo-block--slider {
    width: 100%
  }

  .photo-block--slider .photo-block__info {
    padding: 15px 20px
  }

  .photo-block--slider .photo-block__title {
    font-size: .9rem
  }
}

@media (min-width:1200px) {
  .photo-block {
    cursor: pointer
  }

  .photo-block__info {
    width: 60%;
    padding: 20px 22px;
    left: 4%;
    bottom: -22px;
    -webkit-transform: translateX(0);
    transform: translateX(0);
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }

  .photo-block:hover .photo-block__info {
    left: 97%;
    -webkit-transform: translateX(-100%);
    transform: translateX(-100%)
  }

  .photo-block__title {
    font-size: 22px
  }

  .photo-block__image {
    -webkit-transition: all .5s ease;
    transition: all .5s ease
  }

  .photo-block:hover .photo-block__image {
    -webkit-transform: scale(1.2);
    transform: scale(1.2)
  }
}

.operation__el::after {
  background-image: url(../img/icon/arrow-icon.svg);
}
